TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: cadplayer on October 06, 2014, 02:15:00 PM

Title: Create vla-table, properties..
Post by: cadplayer on October 06, 2014, 02:15:00 PM
Hello guys!
I have little trouble with vla-tables and donīt get it rigth.
Creation I do as following
Quote
(setq ptins (trans (getpoint "\nInsertion point: ") 1 0))

  (setq   tableVL
    (vla-addtable
      (vla-get-modelspace
        (vla-get-activedocument (vlax-get-acad-object))
        )
      (vlax-3d-point ptins) (+ (length data) 2) 2 1 3) ; ... that means 2 columns 1 units heigth and 3 units weight
   )

Than I try to set Text table standards
Quote
(vla-settextheight tableVL actitlerow 0.2)               
  (vla-settextheight tableVL acheaderrow 0.2)             
  (vla-settextheight tableVL acdatarow 0.2)               
  (vla-SetColumnWidth tableVL 0 10)

And here I have the problem, I can change value for textheight but nothing happens. Itīs always the same.

Title: Re: Create vla-table, properties..
Post by: kpblc on October 06, 2014, 03:45:19 PM
What is the TextStyle used on TableStyle? Does TexStyle have fixed height not equal to 0? Maybe problem based on this?
Title: Re: Create vla-table, properties..
Post by: cadplayer on October 08, 2014, 04:04:05 AM
Thanks, I should test it